Bug 241159 - devel/powerpc64-gcc: prepare for removal of /usr/bin/objdump
Summary: devel/powerpc64-gcc: prepare for removal of /usr/bin/objdump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 212319
  Show dependency treegraph
 
Reported: 2019-10-09 14:02 UTC by Ed Maste
Modified: 2020-05-06 16:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-10-09 14:02:53 UTC
/usr/bin/objdump is currently provided by obsolete GNU binutils 2.17.50, and is expectd to be removed by FreeBSD 13.0.  The various lang/*-gcc packages are one of three groups of packages that failed to build in an exp-run [PR 212319].

Without /usr/bin/objdump the port builds fine but fails the package step. Error log:
=======================<phase: package        >============================
===>  Building package for powerpc64-gcc-6.4.0_6
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/powerpc64-gcc/work/stage/usr/local/lib/gcc/powerpc64-unknown-freebsd13.0/6.4.0/plugin/gtype.state:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/powerpc64-gcc/work/stage/usr/local/lib/gcc/powerpc64-unknown-freebsd13.0/6.4.0/plugin/include/ada/gcc-interface/ada-tree.def:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/powerpc64-gcc/work/stage/usr/local/lib/gcc/powerpc64-unknown-freebsd13.0/6.4.0/plugin/include/addresses.h:No such file or directory
...

http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/powerpc64-gcc-6.4.0_6.log
Comment 1 commit-hook freebsd_committer 2020-05-06 16:51:12 UTC
A commit references this bug:

Author: emaste
Date: Wed May  6 16:50:16 UTC 2020
New revision: 534193
URL: https://svnweb.freebsd.org/changeset/ports/534193

Log:
  devel/powerpc64-gcc: add binutils dep on objdump

  /usr/bin/objdump will be removed from FreeBSD before FreeBSD 13.0.

  PR:		241159
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/powerpc64-gcc/Makefile